Skip to main content
List Registered Agents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

show_bundled
boolean
default:false
include_hidden
boolean
default:false
ids
string<uuid>[] | null
names
string[] | null
workspace_id
string<uuid> | null
default:00000000-0000-0000-0000-000000000001

Filter agents by workspace ID. If not provided, returns agents from global workspace (workspace_id is null)

include
string[] | null

Include additional workspace scopes. Use 'global' to include global workspace agents along with workspace-specific agents

Response

Successful Response

Schema for fetching agent.

id
string<uuid>
required

Unique identifier for the agent

tenant_id
string
required

ID of the tenant that owns this agent

name
string
required

Name of the agent

description
string
required

Description of what the agent does

style
enum<string>
required

Style of the agent

Available options:
default,
react,
planner,
custom,
react_intrinsic,
experimental_customer_care,
code_act
created_by
string
required

ID of the user who created the agent

created_on
string<date-time>
required

Creation timestamp

updated_by
string
required

ID of the user who updated the agent

updated_at
string<date-time>
required

Last update timestamp

workspace_id
string<uuid> | null
default:00000000-0000-0000-0000-000000000001

ID of the workspace that owns this agent

instructions
string | null

Instructions for the agent

tools
string[]

List of tool names available to the agent

collaborators
string[]

List of other agent names this agent can collaborate with

knowledge_base
string[]
llm
string | null

LLM identifier for the agent

supported_apps
enum<string>[] | null

Supported apps of the agent

Available options:
slack/askhr
deleted_by
string | null
deleted_at
string<date-time> | null
environments
EnvironmentSchema · object[]

List of simplified environments associated with the agent

agent_mapping
Agent Mapping · object | null
hidden
boolean

To show or hide agent when agents are listed

display_name
string | null

Display name of the agent

structured_output
Structured Output · object | null

JSON schema defining the structure for agent responses

custom_join_tool
string | null

Reference to a Python tool that will be used for custom synthesis of task results

guidelines
Guideline · object[]

List of guidelines for the agent behavior

tags
string[] | null

List of tags associated to agent

chat_with_docs
ChatWithDocsConfig · object

Chat with Documents config for Agent

voice_configuration_id
string<uuid> | null

Voice configuration for the agent

voice_webhook_connections
Voice Webhook Connections · object | null

Voice webhook connections organized by environment (draft/live)

additional_properties
AgentAdditionalProperties · object | null

Agent Additional Settings

context_access_enabled
boolean
default:true

Enable access to context variables for this agent

connection_ids
string[]

List of connection IDs for direct agent-to-connection bindings

context_variables
string[]

List of context variable names that this agent can access

hide_reasoning
boolean
default:false

Enable/disable reasoning trace

sync_tool_flow_interactions
boolean
default:true

Enable/disable syncing user interactions from tool flow to the agent

restrictions
string
default:editable

Enable editable for the colloborator agent

bundled
boolean | null
default:false

Catalog Agent bundled flag

bundled_agent_id
string<uuid> | null

Base agent id

llm_config
ModelConfig · object | null
plugins
Plugins · object | null

Plugins and hook points associated to the agents

toolkits
string[]

List of toolkit ids available to the agent

memory_enabled
boolean
default:false

Enable/disable agentic memory for this agent

is_schedulable
boolean
default:false

Indicates whether this agent can be scheduled for tasks

custom_agents_metadata
CustomAgentsMetadata · object | null

Metadata for custom agents

deleted_semantic_versions
string[]

Track deleted semantic versions to prevent reuse (V2 API)